Last Comment Bug 307155 - Update cairo on branch to 1.0.0
: Update cairo on branch to 1.0.0
Status: RESOLVED FIXED
: fixed1.8
Product: Core Graveyard
Classification: Graveyard
Component: GFX (show other bugs)
: 1.8 Branch
: All All
: -- normal (vote)
: ---
Assigned To: tor
: Hixie (not reading bugmail)
Mentors:
: 308116 (view as bug list)
Depends on:
Blocks: 305576
  Show dependency treegraph
 
Reported: 2005-09-05 18:14 PDT by tor
Modified: 2009-01-22 10:17 PST (History)
5 users (show)
mtschrep: blocking1.8b5+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
update branch cairo to 1.0.0 (257.99 KB, application/octet-stream)
2005-09-05 18:20 PDT, tor
no flags Details
updated diff (259.45 KB, application/octet-stream)
2005-09-22 11:14 PDT, tor
vladimir: review+
mtschrep: approval1.8b5+
Details

Description tor 2005-09-05 18:14:21 PDT
Cairo 1.0.0 fixes a problem with clipping on OS-X that affects SVG (non-trivial
clip area causes nothing to be drawn, triggerable by inner <svg>, <image>,
markers, <clipPath>, most <use> cases).
Comment 1 tor 2005-09-05 18:20:18 PDT
Created attachment 194974 [details]
update branch cairo to 1.0.0

Includes one-liner change to svg cairo renderer for cairo API change (drawing
text advances point).  Test built on linux, os-x, and win32.
Comment 2 tor 2005-09-12 09:25:48 PDT
*** Bug 308116 has been marked as a duplicate of this bug. ***
Comment 3 tor 2005-09-22 11:14:58 PDT
Created attachment 197062 [details]
updated diff
Comment 4 Vladimir Vukicevic [:vlad] [:vladv] 2005-09-23 14:07:47 PDT
Comment on attachment 197062 [details]
updated diff

I've got 1.0 merged on the branch in a local tree here; the trunk I'd rather
just merge pav and mine's cairo work from monotone in shortly (which has a
1.0.2-ish cairo from CVS).  I also got rid of mozstdint.h, so we don't have to
carry that around any more (I'll submit that patch to cairo upstream as well).

Gonna r=vladimir and request 1.8b5 approval, to do the final checkins there.
Comment 5 Mike Schroepfer 2005-09-26 14:13:58 PDT
Comment on attachment 197062 [details]
updated diff

Approved per discussion on drivers.
Comment 6 Vladimir Vukicevic [:vlad] [:vladv] 2005-09-27 09:05:14 PDT
I'm running into problems with the VC71-built pixman lib; still working on
resolving those.  I'll get this in as soon as that's fixed.
Comment 7 Vladimir Vukicevic [:vlad] [:vladv] 2005-09-27 16:48:04 PDT
Fixed on branch.

Note You need to log in before you can comment on or make changes to this bug.